#ifndef MSP_GRAPHICS_COCOAGLCONTEXT_H_
#define MSP_GRAPHICS_COCOAGLCONTEXT_H_

#include "cocoapixelformat.h"
#include "cocoawindow.h"

#ifdef __cplusplus
extern "C" {
#endif

struct _CocoaGLContext;
typedef struct _CocoaGLContext CocoaGLContext;

CocoaGLContext *create_gl_context(CocoaPixelFormat *);
void destroy_gl_context(CocoaGLContext *);
void attach_gl_context_to_window(CocoaGLContext *, CocoaWindow *);
void make_gl_context_current(CocoaGLContext *);
void flush_gl_buffer(CocoaGLContext *);

#ifdef __cplusplus
}
#endif

#endif
