#ifndef GAMECONTROLLER_H_
#define GAMECONTROLLER_H_

#include <msp/io/eventdispatcher.h>
#include <msp/time/timedelta.h>
#include "device.h"

namespace Msp {
namespace Input {

class GameController: public Device
{
private:
	struct Private;

	Private *priv;
	IO::EventDispatcher *event_disp;

public:
	GameController(unsigned);
	virtual ~GameController();

	void use_event_dispatcher(IO::EventDispatcher *);

	void tick();
	void tick(const Time::TimeDelta &);
};

} // namespace Input
} // namespace Msp

#endif
